include classpath("application.conf")

queues {
  messages {
    defaultVisibilityTimeout = 10 seconds
    delay = 5 seconds
    receiveMessageWait = 0 seconds
    deadLettersQueue {
      name = "messages-dead-letters"
      maxReceiveCount = 3 // from 1 to 1000
    }
    fifo = true
    contentBasedDeduplication = false
    copyTo = "audit-queue-name"
    //moveTo = "redirect-queue-name"
    tags {
      tag1 = "tagged1"
      tag2 = "tagged2"
    }
  }
  messages-dead-letters { }
  audit-queue-name { }
  //redirect-queue-name { }
}